文章会有【原创】或者【转载】标示,部分来自Google Baidu的学习结果 {Java/PHP/Python/Ruby/Go}

Win7 Rails 有 openssl的问题【待解决】  


install ruby

进入ruby 命令行

gem install rails

bundle install(Rails新增)
{
Rails 3开始使用bundle来管理项目的gem依赖。该命令只在一个含有Gemfile的目录下执行。
Gemfile: Rails 项目所有的依赖包都在这里配置,不像以前通过require来查找
Gemfile.lock: 记录本机目前所有依赖的Ruby Gems及其版本
bundle show #显示所有的依赖包 bundle check #检查系统中缺少那些项目以来的gem包
bundle install #安装项目依赖的所有gem包 bundle update #更新系统中存在的项目依赖包,并同时更

新项目Gemfile.lock文件
}
http://railsapps.github.com/openssl-certificate-verify-failed.html

原来
http.verify_mode = options[:ssl_verify_mode] || OpenSSL::SSL::VERIFY_PEER
改变
http.verify_mode = options[:ssl_verify_mode] || OpenSSL::SSL::VERIFY_NONE

不行不管用。
http://code.google.com/p/openssl-for-windows/downloads/list
下载
rails server